## qtcreator 2.7.0

=== debian/changelog ===
qtcreator (2.7.0-0ubuntu3) raring; urgency=low

  [ Juhapekka Piiroinen ]
  * Update Ubuntu plugin to bzr144
    - Updated Welcome Tab UI (LP: #1160852)
    - Updated Devices Tab UI (LP: #1155108)
    - Create build-deps package (LP: #1157204)
    - Support for cloning network settings from host to device (LP: #1157201)
    - Added a simple HTML application template (LP: #1159736)
    - Updated application templates (LP: #1166950)
    - Reorganized menu items
    - Fixed terminal emulator (LP: #1159095)
    - Added support for QML Project packaging and deployment
    - Relicensed to LGPL 2.1 (LP: #1157028)
    - Update debian/control

  [ Ken VanDine ]
  * Updated Ubuntu plugin to bzr153
    - Added Qt/QML hybrid template
    - A dynamic detection of qml application dependencies on packaging
    - Modified refactored menu.json to include only script executions, 
      instead of having scripts embedded.
    - fixed application execution on device

  [ Timo Jyrinki ]
  * Fix debian/watch 
  * debian/patches/add_lgpl3_license.patch:
    - Drop, not needed anymore after plugin relicensing to LGPL 2.1
  * Update debian/copyright to reflect the relicensing
  * Update Ubuntu plugin to bzr160
    - Remove dependencies to equivs and devscripts
    - Fixed Close Application On Device.
    - Automatic dependency check
    - Added architecture change sed for qml projects
    - Fixed Close all apps script

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 12 Apr 2013 09:01:33 +0000

qtcreator (2.7.0-0ubuntu2) raring; urgency=low

  * Add debian/patches/prefer_qmake_to_qmake-qt4.patch:
    - With qtchooser, 'qmake' should be the nr. 1 qmake executable
      to consider, since it's the user preferred qmake version. 
      (LP: #1135336)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 04 Apr 2013 05:56:35 +0000

qtcreator (2.7.0-0ubuntu1) raring; urgency=low

  * New upstream release. (LP: #1153527)
  * Add Ubuntu plugin bzr114 as a new package qtcreator-plugin-ubuntu
    (LP: #1135418)
  * Refresh patch:
    - botan_system_lib.diff
  * Update *.install
  * Update debian/copyright
  * Add patch debian/patches/add_lgpl3_license.patch:
    - Include until plugin properly relicensed
  * Add Provides/Conflicts/Replaces to ease upgrade for PPA users
  * Remove Pre-Depends, not needed on Ubuntu
  * Add Vcs-Bzr for moving the packaging to ~kubuntu-packagers

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 25 Mar 2013 08:47:56 +0000

qtcreator (2.7.0~beta-0ubuntu2) raring; urgency=low

  * Fix run time dependencies Qt4 -> Qt5 (LP: #1134647)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 28 Feb 2013 14:47:11 +0200
