=== debian/control ===
Source: qtcreator
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Adam Majer <adamm@zombino.com>,
           Fathi Boudra <fabo@debian.org>,
           Jeremy Lainé <jeremy.laine@m4x.org>
Build-Depends: debhelper (>= 9),
               libicu-dev,
               libx11-dev,
               pkg-config,
               libbotan1.10-dev,
               libqt5svg5 (>= 5.0.1~),
               libqt5svg5-dev (>= 5.0.1~),
               libqt5sql5-sqlite (>= 5.0.1~),
               libqt5designercomponents5 (>= 5.0.1~),
               libqt5designer5 (>= 5.0.1~),
               libqt5clucene5 (>= 5.0.1~),
               qttools5-private-dev (>= 5.0.1~),
               libqt5v8-5-private-dev (>= 5.0.1~),
               libqt5help5 (>= 5.0.1~),
               qttools5-dev (>= 5.0.1~),
               qttools5-dev-tools (>= 5.0.1~),
               qt5-qmake (>= 5.0.1~),
               qtbase5-private-dev (>= 5.0.1~),
               libqt5script5 (>= 5.0.1~),
               libqt5scripttools5 (>= 5.0.1~),
               qt5-default,
               qtscript5-private-dev (>= 5.0.1~),
               qtxmlpatterns5-dev-tools (>= 5.0.1~),
               libqt5widgets5 (>= 5.0.1~),
               qttools5-dev-tools (>= 5.0.1~),
               qtdeclarative5-private-dev (>= 5.0.1~),
               qtdeclarative5-dev-tools (>= 5.0.1~),
               qtquick1-5-dev (>= 5.0.1~),
               qtquick1-5-dev-tools (>= 5.0.1~),
               libqt5help5 (>= 5.0.1~),
               qtlocation5-dev,
               qtsensors5-dev,
Standards-Version: 3.9.3
Homepage: http://qt-project.org/
Vcs-Browser: http://git.debian.org/?p=collab-maint/qt-creator.git
Vcs-Git: git://git.debian.org/collab-maint/qt-creator.git
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/qtcreator

Package: qtcreator
Architecture: any
Depends: libbotan-1.10-0, libqt5svg5, libqt5designercomponents5, libqt5xml5, libqt5declarative5, libqt5concurrent5, libqt5script5, libqt5help5, libqt5printsupport5, libqt5sql5-sqlite, ${misc:Depends}, ${shlibs:Depends}
Recommends: gdb,
            make,
            g++,
            qt5-qmake,
            qt5-default,
            qtbase5-dev,
            qtbase5-dev-tools,
            qtdeclarative5-dev,
            qmlscene,
            qtcreator-doc,
            xterm | x-terminal-emulator,
            dh-make
Suggests: cmake, git, kdelibs5-data, subversion, ubuntu-sdk, qtquick1-5-dev, qtquick1-5-dev-tools
Description: lightweight integrated development environment (IDE) for Qt
 Qt Creator is a new, lightweight, cross-platform integrated development
 environment (IDE) designed to make development with the Qt application
 framework even faster and easier.
 .
 It includes:
  * An advanced C++ code editor
  * Integrated GUI layout and forms designer
  * Project and build management tools
  * Integrated, context-sensitive help system
  * Visual debugger
  * Rapid code navigation tools
  * Supports multiple platforms

Package: qtcreator-dbg
Priority: extra
Architecture: any
Section: debug
Depends: qtcreator (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for Qt Creator IDE
 Qt Creator is a new, lightweight, cross-platform integrated development
 environment (IDE) designed to make development with the Qt application
 framework even faster and easier.
 .
 This package contains the debugging symbols for Qt Creator IDE.

Package: qtcreator-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: qt4-dev-tools, qt4-doc
Description: documentation for Qt Creator IDE
 Qt Creator is a new, lightweight, cross-platform integrated development
 environment (IDE) designed to make development with the Qt application
 framework even faster and easier.
 .
 This package contains the documentation for Qt Creator IDE.

Package: qtcreator-plugin-ubuntu
Architecture: any
Depends: qtcreator (= ${binary:Version}), ${misc:Depends}
Recommends: android-tools-adb
Provides: ubuntu-qtcreator-plugins
Conflicts: ubuntu-qtcreator-plugins
Replaces: ubuntu-qtcreator-plugins
Description: Ubuntu plugin for Qt Creator IDE
 Qt Creator is a new, lightweight, cross-platform integrated development
 environment (IDE) designed to make development with the Qt application
 framework even faster and easier.
 .
 This package contains the Ubuntu plugin for Qt Creator, providing 
 deeper integration for developing applications for Ubuntu using the 
 Ubuntu UI Toolkit. It also introduces an Ubuntu themed welcome 
 screen.
