## qtcreator 2.7.1

=== debian/changelog ===
qtcreator (2.7.1-0ubuntu10) saucy; urgency=low

  [ Juhapekka Piiroinen ]
  * Create qtcreator-dev to be able to build plugins from 
    external sources

  [ Timo Jyrinki ]
  * Drop Ubuntu plugins, they will come from lp:qtcreator-plugin-ubuntu
  * Fix debian/rules grep call
  * Omit also qtcreator-dev from the packages to create docs for

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 05 Sep 2013 07:41:16 +0300

qtcreator (2.7.1-0ubuntu9) saucy; urgency=low

  * debian/patches/qtcreator-plugin-ubuntu.patch:
    - Update to latest version to truly fix (LP: #1215133)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 28 Aug 2013 16:39:01 +0300

qtcreator (2.7.1-0ubuntu8) saucy; urgency=low

  * Depend on libqt5scripttools5 from the Ubuntu plugin (LP: #1215172) 
  * Install Cordova and QML project file mime tipes (LP: #1213969)
  * Depend on libqt5scripttools5 from the Ubuntu plugin (LP: #1215172)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 28 Aug 2013 14:20:53 +0300

qtcreator (2.7.1-0ubuntu7) saucy; urgency=low

  * debian/patches/qtcreator-plugin-ubuntu.patch:
    - Support manifest format which is compatible with click hooks (LP: #1214623)
    - The title is filled with the application name in the manifest (LP: #1214626)
    - The description field is added to the manifest file (LP: #1214612)
    - Some initial work on #1215133: Replace "_" with "-" in the name of the
      security manifest file
    - Replace "_" with "-" in the name of the security manifest file (LP: #1215133)
    - Enable Click packaging for Cordova projects (LP: #1216046)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 26 Aug 2013 09:48:45 +0300

qtcreator (2.7.1-0ubuntu6) saucy; urgency=low

  * Re-enable the workaround patch accidentally disabled.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 22 Aug 2013 05:30:09 +0000

qtcreator (2.7.1-0ubuntu5) saucy; urgency=low

  * debian/patches/qtcreator-plugin-ubuntu.patch:
    - Separate runtime data files away to different source, making this 
      patch smaller
    - Fixed screenshot feature
    - Improved testability of the Qt Creator ubuntu plugin
    - Fixing issues with the click packaging
    - Fixed packaging issues caused by the new name of the cordova plugin
    - Renamed package qtcreator-plugin-cordovaqt to qtcreator-plugin-ubuntu-cordova
    - Handle cordova template code in the projectypes.json when the template is not installed
    - Fixed click package installation on device
    - Added menu items to Build > Ubuntu Touch > click
    - Changed packaging tab to use the QActions available from menu items
    - Fixed package build and deployment script
  * debian/patches/qtcreator-plugin-ubuntu-buildchanges.patch:
    - Remove the addition of now separate files
  * qtcreator-plugin-ubuntu-images.tar.gz:
    - Recreate with the less content now needed
  * debian/control:
    - Depend on qtcreator-plugin-ubuntu-(cordova-)common from plugins
    - Transitional package for qtcreator-plugin-cordovaqt
  * debian/*.install:
    - Modify to take into account the separated common files

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 06 Aug 2013 12:19:33 +0000

qtcreator (2.7.1-0ubuntu4) saucy; urgency=low

  * qtcreator-plugin-ubuntu-images.tar.gz
    - recreated images tarball, there was an oversized icon included in the 
      last.

 -- Ken VanDine <ken.vandine@canonical.com>  Mon, 29 Jul 2013 10:59:51 -0400

qtcreator (2.7.1-0ubuntu3) saucy; urgency=low

  * debian/patches/qtcreator-plugin-ubuntu.patch:
    - fix for the build and deploy script

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 24 Jul 2013 14:07:53 -0400

qtcreator (2.7.1-0ubuntu2) saucy; urgency=low

  * debian/patches/qtcreator-plugin-ubuntu.patch:
    - Added new menu item GPG to Tools > Ubuntu Touch
    - Added Pastebin tab which points to pastebin.ubuntu.com
    - Install API docs locally instead of using online docs (LP: #1202977)
    - Checks if the offline documents are installed and uses those ones if available. Fallback is the online docs.
    - Fix application wizard meta information for cordova app template.
    - cordovaqt was rebranded to cordova-ubuntu
    - Added support for 'click' packaging
    - Introduced Packaging tab
    - Execute apt-get update; apt-get upgrade before installing packages (LP: #1200515)
    - Refixed HTML formating and items list for HTML5
    - Tabbed UI template uses deprecated interfaces (LP: #1197537)
    - Updated HTML5 Touch UI template to use ubuntu-html5-theme
    - App developer community IRC tab
    - API documentation tab
    - Ubuntu Touch Wiki tab
    - Added CoreApps tab
  * debian/control
    - qtcreator-plugin-ubuntu: Added depends for click, ubuntu-ui-toolkit-doc, 
      and ubuntu-ui-toolkit-examples
    - Updated build deps.
  * debian/patches/qtcreator-plugin-ubuntu-buildchanges.patch
    - added ubuntu cordova plugin

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 23 Jul 2013 10:58:17 -0400

qtcreator (2.7.1-0ubuntu1) saucy; urgency=low

  * Add devscripts dependency to qtcreator-plugin-ubuntu (LP: #1170685)
  * New upstream release.
    - Build against Qt 5.0.2 (LP: #1180392)
  * debian/patches/workaround_welcome_plugin.patch:
    - Fixes compatibility issue with Qt 5.0.2 (LP: #1179920)
  * debian/control:
    - Build-depend on libqt5help5
    - Add needed new dependencies to Ubuntu plugin
  * debian/patches/qtcreator-plugin-ubuntu.patch:
    - Fix unreliable DEB info access bug (LP: #1170692)
    - add the html folder to the project in HTML5 template
    - change the hybrid application template to a QML backend plugin template
    - support source packages with multiply binary packages
    - Time settings cloning from host
    - Enhanced device detection
    - Improved ssh authentication (LP: #1171063)
    - Disable menu items not usable for a specific project
    - Enable orientation support in templates
    - More descriptive text than "please wait..." when enableing development 
      mode (LP: #1169830)

