=== debian/control ===
--- 
+++ 
@@ -11,33 +11,41 @@
                libx11-dev,
                pkg-config,
                libbotan1.10-dev,
-               libqt5svg5 (>= 5.0.1~),
-               libqt5svg5-dev (>= 5.0.1~),
-               libqt5sql5-sqlite (>= 5.0.1~),
-               libqt5designercomponents5 (>= 5.0.1~),
-               libqt5designer5 (>= 5.0.1~),
-               libqt5clucene5 (>= 5.0.1~),
-               qttools5-private-dev (>= 5.0.1~),
-               libqt5v8-5-private-dev (>= 5.0.1~),
-               libqt5help5 (>= 5.0.1~),
-               qttools5-dev (>= 5.0.1~),
-               qttools5-dev-tools (>= 5.0.1~),
-               qt5-qmake (>= 5.0.1~),
-               qtbase5-private-dev (>= 5.0.1~),
-               libqt5script5 (>= 5.0.1~),
-               libqt5scripttools5 (>= 5.0.1~),
+               libqt5svg5 (>= 5.0.2~),
+               libqt5svg5-dev (>= 5.0.2~),
+               libqt5sql5-sqlite (>= 5.0.2~),
+               libqt5designercomponents5 (>= 5.0.2~),
+               libqt5designer5 (>= 5.0.2~),
+               libqt5clucene5 (>= 5.0.2~),
+               qttools5-private-dev (>= 5.0.2~),
+               libqt5v8-5-private-dev (>= 5.0.2~),
+               libqt5help5 (>= 5.0.2~),
+               qttools5-dev (>= 5.0.2~),
+               qttools5-dev-tools (>= 5.0.2~),
+               qt5-qmake (>= 5.0.2~),
+               qtbase5-private-dev (>= 5.0.2~),
+               libqt5script5 (>= 5.0.2~),
+               libqt5scripttools5 (>= 5.0.2~),
                qt5-default,
-               qtscript5-private-dev (>= 5.0.1~),
-               qtxmlpatterns5-dev-tools (>= 5.0.1~),
-               libqt5widgets5 (>= 5.0.1~),
-               qttools5-dev-tools (>= 5.0.1~),
-               qtdeclarative5-private-dev (>= 5.0.1~),
-               qtdeclarative5-dev-tools (>= 5.0.1~),
-               qtquick1-5-dev (>= 5.0.1~),
-               qtquick1-5-dev-tools (>= 5.0.1~),
-               libqt5help5 (>= 5.0.1~),
+               qtscript5-private-dev (>= 5.0.2~),
+               qtxmlpatterns5-dev-tools (>= 5.0.2~),
+               libqt5widgets5 (>= 5.0.2~),
+               qttools5-dev-tools (>= 5.0.2~),
+               qtdeclarative5-private-dev (>= 5.0.2~),
+               qtdeclarative5-dev-tools (>= 5.0.2~),
+               qtquick1-5-dev (>= 5.0.2~),
+               qtquick1-5-dev-tools (>= 5.0.2~),
                qtlocation5-dev,
                qtsensors5-dev,
+               g++-4.7 [armhf],
+               libqt5webkit5-dev,
+               libsqlite3-dev,
+               libxslt1-dev,
+               libglib2.0-dev,
+               libgstreamer-plugins-base0.10-dev,
+               libqt5opengl5-dev,
+               libglib2.0-dev,
+               libxml2-dev,
 Standards-Version: 3.9.3
 Homepage: http://qt-project.org/
 Vcs-Browser: http://git.debian.org/?p=collab-maint/qt-creator.git
@@ -58,7 +66,6 @@
             qmlscene,
             qtcreator-doc,
             xterm | x-terminal-emulator,
-            dh-make
 Suggests: cmake, git, kdelibs5-data, subversion, ubuntu-sdk, qtquick1-5-dev, qtquick1-5-dev-tools
 Description: lightweight integrated development environment (IDE) for Qt
  Qt Creator is a new, lightweight, cross-platform integrated development
@@ -98,20 +105,10 @@
  .
  This package contains the documentation for Qt Creator IDE.
 
-Package: qtcreator-plugin-ubuntu
-Architecture: any
-Depends: qtcreator (= ${binary:Version}), ${misc:Depends}
-Recommends: android-tools-adb
-Provides: ubuntu-qtcreator-plugins
-Conflicts: ubuntu-qtcreator-plugins
-Replaces: ubuntu-qtcreator-plugins
-Description: Ubuntu plugin for Qt Creator IDE
- Qt Creator is a new, lightweight, cross-platform integrated development
- environment (IDE) designed to make development with the Qt application
- framework even faster and easier.
- .
- This package contains the Ubuntu plugin for Qt Creator, providing 
- deeper integration for developing applications for Ubuntu using the 
- Ubuntu UI Toolkit. It also introduces an Ubuntu themed welcome 
- screen.
-
+Package: qtcreator-dev
+Architecture: all
+Depends: qtcreator (= ${binary:Version}),
+         ${misc:Depends},
+Description: Qt Creator plugin development files
+ This package contains the developer files for Qt
+ Creator plugin evelopment
