=== debian/watch ===
version=3
http://releases.qt-project.org/qtcreator/([\d\.]*)/qt-creator-([^-]*)-src\.tar\.gz
