=== debian/changelog ===
qtcreator (3.0.1-0ubuntu4) trusty; urgency=medium

  [ Zeller Benjamin ]
  * Replace qnx, valgrind and remotelinux plugins with derived versiond

 -- Zoltán Balogh <zoltan@bakter.hu>  Wed, 09 Apr 2014 11:23:44 +0300

qtcreator (3.0.1-0ubuntu3) trusty; urgency=medium

  * Rebuild against Qt Webkit 5.1.1

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 13 Mar 2014 14:23:24 +0000

qtcreator (3.0.1-0ubuntu2) trusty; urgency=medium

  * Make qtcreator-plugin-cmake a Recommends instead

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 07 Mar 2014 12:23:32 +0000

qtcreator (3.0.1-0ubuntu1) trusty; urgency=low

  [ Michał Sawicz ]
  * Refresh patches:
    - debian/patches/02_use_x-terminal-emulator.diff
    - debian/patches/botan_system_lib.diff
    - debian/patches/no-Werror.diff
    - debian/patches/rpath_nonlinux.diff

  [ Timo Jyrinki ]
  * New upstream release.
  * Drop Qt V8 dependency
  * Bump other dependencies to 5.2
  * Drop workaround_welcome_plugin.patch - not needed with Qt 5.2
  * Refresh botan patch
  * Drop Qt Quick 1 dependency for now (fails to build)
  * Update watch file
  * Update *.install
  * Add a dependency on qtdeclarative5-controls-plugin QtC now needs

  [ Zoltan Balogh ]
  * Replace CMake plugin with a derived one
    - Add debian/patches/disable_cmake_plugin.diff to disable QtC's
    - Clean qtcreator-dev package
    - Depend on qtcreator-plugin-cmake to install the alternative plugin
    - To be sorted out with upstream when Ubuntu's modifications ready

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 07 Mar 2014 08:15:39 +0000

qtcreator (2.8.1-0ubuntu1) trusty; urgency=low

  [ Pino Toscano ]
  * Disable -Werror when building, as could potentially break depending on
    compiler/architecture; patch no-Werror.diff.

  [ Timo Jyrinki ]
  * New upstream release. (LP: #1181192)
  * Drop patches:
    - debian/patches/prefer_qmake_to_qmake-qt4.patch, merged upstream
    - debian/patches/03_fix_DOCPATH.diff, not needed anymore
  * Refresh patches:
    - debian/patches/botan_system_lib.diff
    - debian/patches/rpath_nonlinux.diff
  * Create qtcreator-dev to be able to build plugins from 
    external sources
  * Pick 2.8 changes from Debian:
    - Manually call qmake in order to avoid a FTBFS due to dh passing -nocache.
      Upstream uses caches to put default data for building, so we need them.
    - Compiler flags
  * Update *.install, drop qtcreator.install.linux as not needed anymore
  * No need for override_dh_shlibdeps anymore, dropped
  * Install 'qmlproject' extension handling mimetype (LP: #1233099)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 08 Nov 2013 08:10:13 +0200
