=== debian/control ===
Source: qtcreator
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Adam Majer <adamm@zombino.com>,
           Fathi Boudra <fabo@debian.org>,
           Jeremy Lainé <jeremy.laine@m4x.org>,
Build-Depends: debhelper (>= 9),
               g++-4.7 [armhf],
               libbotan1.10-dev,
               libglib2.0-dev,
               libgstreamer-plugins-base0.10-dev,
               libicu-dev,
               libqt5clucene5 (>= 5.2.0~),
               libqt5designer5 (>= 5.2.0~),
               libqt5designercomponents5 (>= 5.2.0~),
               libqt5help5 (>= 5.2.0~),
               libqt5opengl5-dev (>= 5.2.0~),
               libqt5script5 (>= 5.2.0~),
               libqt5scripttools5 (>= 5.2.0~),
               libqt5sql5-sqlite (>= 5.2.0~),
               libqt5svg5 (>= 5.2.0~),
               libqt5svg5-dev (>= 5.2.0~),
               libqt5webkit5-dev (>= 5.1.1~),
               libqt5widgets5 (>= 5.2.0~),
               libsqlite3-dev,
               libx11-dev,
               libxml2-dev,
               libxslt1-dev,
               pkg-config,
               qt5-default,
               qt5-qmake (>= 5.2.0~),
               qtbase5-private-dev (>= 5.2.0~),
               qtdeclarative5-dev-tools (>= 5.2.0~),
               qtdeclarative5-private-dev (>= 5.2.0~),
               qtlocation5-dev,
               qtscript5-private-dev (>= 5.2.0~),
               qtsensors5-dev,
               qttools5-dev-tools (>= 5.2.0~),
               qttools5-private-dev (>= 5.2.0~),
               qtxmlpatterns5-dev-tools (>= 5.2.0~),
Standards-Version: 3.9.3
Homepage: http://qt-project.org/
Vcs-Browser: http://git.debian.org/?p=collab-maint/qt-creator.git
Vcs-Git: git://git.debian.org/collab-maint/qt-creator.git
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/qtcreator

Package: qtcreator
Architecture: any
Depends: libbotan-1.10-0,
         libqt5concurrent5,
         libqt5declarative5,
         libqt5designercomponents5,
         libqt5help5,
         libqt5printsupport5,
         libqt5script5,
         libqt5sql5-sqlite,
         libqt5svg5,
         libqt5xml5,
         qtdeclarative5-controls-plugin,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: g++,
            gdb,
            make,
            qmlscene,
            qt5-default,
            qt5-qmake,
            qtbase5-dev,
            qtbase5-dev-tools,
            qtcreator-doc,
            qtcreator-plugin-cmake,
            qtcreator-plugin-remotelinux,
            qtcreator-plugin-valgrind,
            qtcreator-plugin-qnx,
            qtdeclarative5-dev,
            xterm | x-terminal-emulator,
Breaks: qtcreator-plugin-ubuntu (<= 2.9.0~),
Suggests: cmake,
          git,
          kdelibs5-data,
          qtquick1-5-dev,
          qtquick1-5-dev-tools,
          subversion,
          ubuntu-sdk,
Description: lightweight integrated development environment (IDE) for Qt
 Qt Creator is a new, lightweight, cross-platform integrated development
 environment (IDE) designed to make development with the Qt application
 framework even faster and easier.
 .
 It includes:
  * An advanced C++ code editor
  * Integrated GUI layout and forms designer
  * Project and build management tools
  * Integrated, context-sensitive help system
  * Visual debugger
  * Rapid code navigation tools
  * Supports multiple platforms

Package: qtcreator-dbg
Priority: extra
Architecture: any
Section: debug
Depends: qtcreator (= ${binary:Version}),
         ${misc:Depends},
Description: debugging symbols for Qt Creator IDE
 Qt Creator is a new, lightweight, cross-platform integrated development
 environment (IDE) designed to make development with the Qt application
 framework even faster and easier.
 .
 This package contains the debugging symbols for Qt Creator IDE.

Package: qtcreator-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
Suggests: qt4-dev-tools,
          qt4-doc,
Description: documentation for Qt Creator IDE
 Qt Creator is a new, lightweight, cross-platform integrated development
 environment (IDE) designed to make development with the Qt application
 framework even faster and easier.
 .
 This package contains the documentation for Qt Creator IDE.

Package: qtcreator-dev
Architecture: all
Depends: qtcreator (= ${binary:Version}),
         libicu-dev,
         ${misc:Depends},
Description: Qt Creator plugin development files
 This package contains the developer files for Qt
 Creator plugin evelopment
