=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,17 @@
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
+export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
+export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
+export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
+export QMAKE_CFLAGS_RELEASE := $(CFLAGS)
+export QMAKE_CFLAGS_DEBUG := $(CFLAGS)
+export QMAKE_CXXFLAGS_RELEASE := $(CXXFLAGS)
+export QMAKE_CXXFLAGS_DEBUG := $(CXXFLAGS)
+export QMAKE_LFLAGS_RELEASE := $(LDFLAGS)
+export QMAKE_LFLAGS_DEBUG := $(LDFLAGS)
+export QT_SELECT := qt5
+
 # Upstream changelog
 upstream_changes := $(wildcard dist/changes-*)
 
@@ -19,7 +30,16 @@
 
 override_dh_auto_configure:
 	mkdir -p builddir
-	dh_auto_configure -- $(CURDIR) $(GCC47) IDE_LIBRARY_BASENAME=lib/$(DEB_HOST_MULTIARCH) IDE_PACKAGE_MODE=1 USE_SYSTEM_BOTAN=1 $(extra_configure_opts)
+	cd builddir ; \
+		qmake QMAKE_CFLAGS_RELEASE="$(QMAKE_CFLAGS_RELEASE)" \
+		QMAKE_CFLAGS_DEBUG="$(QMAKE_CFLAGS_DEBUG)" \
+		QMAKE_CXXFLAGS_RELEASE="$(QMAKE_CXXFLAGS_RELEASE)" \
+		QMAKE_CXXFLAGS_DEBUG="$(QMAKE_CXXFLAGS_DEBUG)" \
+		QMAKE_LFLAGS_RELEASE="$(QMAKE_LFLAGS_RELEASE)" \
+		QMAKE_LFLAGS_DEBUG="$(QMAKE_LFLAGS_DEBUG)" \
+		QMAKE_STRIP=: \
+		PREFIX=/usr/ \
+		$(CURDIR) $(GCC47) IDE_LIBRARY_BASENAME=lib/$(DEB_HOST_MULTIARCH) IDE_PACKAGE_MODE=1 USE_SYSTEM_BOTAN=1 $(extra_configure_opts)
 
 override_dh_auto_install:
 ifneq (,$(filter qtcreator-doc,qtcreator-dev, $(shell dh_listpackages)))
@@ -28,7 +48,7 @@
 	dh_auto_install --destdir=debian/tmp/usr
 	dh_auto_build -- install_docs INSTALL_ROOT=$(CURDIR)/debian/tmp/usr
 	mkdir -p debian/tmp/usr/src/qtcreator/
-	find | egrep -v '^\.\/doc|^\.\/share|^\.\/\.pc|^\.\/debian|^\.\/tests|^\.\/share' | grep "\.pri\$$\|\.h\$$\|\.xsl\$$" | xargs -I{} cp --parents -r "{}" debian/tmp/usr/src/qtcreator
+	find | egrep -v '^\.\/doc|^\.\/share|^\.\/\.pc|^\.\/debian|^\.\/tests|^\.\/share|cmakeprojectmanager|valgrind|qnx|remotelinux|Qnx' | grep "\.pri\$$\|\.h\$$\|\.xsl\$$" | xargs -I{} cp --parents -r "{}" debian/tmp/usr/src/qtcreator
 	cd debian/tmp/usr/src/qtcreator; cp -r builddir/* .; rm -R builddir
 
 override_dh_auto_clean:
@@ -43,9 +63,5 @@
 override_dh_makeshlibs:
 	# qtcreator doesn't provide any public libraries
 
-override_dh_shlibdeps:
-	dh_shlibdeps -XlibUbuntu.so -XlibCordovaUbuntuProjectManager.so
-
-
 override_dh_builddeb:
 	dh_builddeb -- -Zxz
