## qtcreator 3.1.1

=== debian/changelog ===
qtcreator (3.1.1-0ubuntu9) vivid; urgency=medium

  * No-change rebuild against Qt 5.4.1.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 11 Mar 2015 08:31:11 +0200

qtcreator (3.1.1-0ubuntu8) vivid; urgency=medium

  * Rebuild against Qt 5.4.0
  * Add enable_test_fixed_in_qt540.diff

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 13 Feb 2015 06:51:53 +0000

qtcreator (3.1.1-0ubuntu7) vivid; urgency=medium

  [ Benjamin Zeller ]
  * Add new patch to make the qmakeprojectmanager aware of our needs in the
    Ubuntu SDK
  * Backport fix for QTCREATORBUG-13340 "SSH Client Does Not Support OpenSSH 6.7 Ciphers" from upstream.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 21 Nov 2014 18:40:08 +0000

qtcreator (3.1.1-0ubuntu6) vivid; urgency=medium

  * Build on armhf with default gcc again
  * Cherry-pick a fix for armhf -O2 build from Debian

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 28 Oct 2014 12:20:05 +0000

qtcreator (3.1.1-0ubuntu4) utopic; urgency=medium

  * Change patch to enable ubuntu device in plain QML projects, to match all Ubuntu device subtypes

 -- Benjamin Zeller <benjamin.zeller@canonical.com>  Fri, 01 Aug 2014 13:55:35 +0200

qtcreator (3.1.1-0ubuntu3) utopic; urgency=medium

  * Add patch to enable ubuntu devices for plain QML projects in QtCreator

 -- Benjamin Zeller <benjamin.zeller@canonical.com>  Tue, 29 Jul 2014 17:42:27 +0200

qtcreator (3.1.1-0ubuntu2) utopic; urgency=medium

  * Do not install the files that have been separated to plugin packages.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 17 Jun 2014 07:25:33 +0000

qtcreator (3.1.1-0ubuntu1) utopic; urgency=medium

  [ Timo Jyrinki ]
  * New upstream release.
  * Build depend on libqt5x11extras5-dev
  * Remove no-Werror.diff and rpath_nonlinux.diff, refresh remaining 
    patches
  * Update qtcreator.install
  * Disable unit tests on powerpc where they fail
  * Add Breaks against old versions of QtC plugins

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Pass some extra directories to dh_shlibdeps in which to look for
    dependencies. This might be an upstream bug.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 16 Jun 2014 08:26:49 +0000

qtcreator (3.0.1-0ubuntu6) utopic; urgency=medium

  * Build-depend on libqt5sensors5-dev instead of transitional package
    qtsensors5-dev.
  * Use dh_auto_test to run tests.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 04 May 2014 10:57:43 +0400

qtcreator (3.0.1-0ubuntu5) utopic; urgency=medium

  [ Iftikhar Ahmad (QA Engineer) ]
  * Enable the unit tests during package build.
  * Skip failing tests on unix. 

  [ Timo Jyrinki ]
  * Drop Qt Quick 1 runtime dependency and Suggests, not used anymore.
  * Depend directly on qtdeclarative5-qtquick2-plugin

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 25 Apr 2014 06:12:03 +0000
