=== debian/control ===
--- 
+++ 
@@ -7,7 +7,6 @@
            Fathi Boudra <fabo@debian.org>,
            Jeremy Lainé <jeremy.laine@m4x.org>,
 Build-Depends: debhelper (>= 9),
-               g++-4.7 [armhf],
                libbotan1.10-dev,
                libglib2.0-dev,
                libgstreamer-plugins-base0.10-dev,
@@ -20,10 +19,11 @@
                libqt5script5 (>= 5.2.0~),
                libqt5scripttools5 (>= 5.2.0~),
                libqt5sql5-sqlite (>= 5.2.0~),
-               libqt5svg5 (>= 5.2.0~),
+               libqt5sensors5-dev,
                libqt5svg5-dev (>= 5.2.0~),
                libqt5webkit5-dev (>= 5.1.1~),
                libqt5widgets5 (>= 5.2.0~),
+               libqt5x11extras5-dev,
                libsqlite3-dev,
                libx11-dev,
                libxml2-dev,
@@ -36,10 +36,11 @@
                qtdeclarative5-private-dev (>= 5.2.0~),
                qtlocation5-dev,
                qtscript5-private-dev (>= 5.2.0~),
-               qtsensors5-dev,
                qttools5-dev-tools (>= 5.2.0~),
                qttools5-private-dev (>= 5.2.0~),
                qtxmlpatterns5-dev-tools (>= 5.2.0~),
+               xauth,
+               xvfb,
 Standards-Version: 3.9.3
 Homepage: http://qt-project.org/
 Vcs-Browser: http://git.debian.org/?p=collab-maint/qt-creator.git
@@ -50,7 +51,6 @@
 Architecture: any
 Depends: libbotan-1.10-0,
          libqt5concurrent5,
-         libqt5declarative5,
          libqt5designercomponents5,
          libqt5help5,
          libqt5printsupport5,
@@ -59,6 +59,7 @@
          libqt5svg5,
          libqt5xml5,
          qtdeclarative5-controls-plugin,
+         qtdeclarative5-qtquick2-plugin,
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: g++,
@@ -76,12 +77,13 @@
             qtcreator-plugin-qnx,
             qtdeclarative5-dev,
             xterm | x-terminal-emulator,
-Breaks: qtcreator-plugin-ubuntu (<= 2.9.0~),
+Breaks: qtcreator-plugin-ubuntu (<= 3.1.0~),
+        qtcreator-plugin-cmake (<= 3.1.0~),
+        qtcreator-plugin-remotelinux (<= 3.1.0~),
+        qtcreator-plugin-valgrind (<= 3.1.0~),
 Suggests: cmake,
           git,
           kdelibs5-data,
-          qtquick1-5-dev,
-          qtquick1-5-dev-tools,
           subversion,
           ubuntu-sdk,
 Description: lightweight integrated development environment (IDE) for Qt
